org.springframework.batch.core.jsr.configuration.xml

## Class JsrStepListenerFactoryBean

- java.lang.Object
- - org.springframework.batch.core.listener.AbstractListenerFactoryBean<StepListener>
  - - org.springframework.batch.core.listener.StepListenerFactoryBean
    - - org.springframework.batch.core.jsr.configuration.xml.JsrStepListenerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<java.lang.Object>, org.springframework.beans.factory.InitializingBean

      public class JsrStepListenerFactoryBean
      extends StepListenerFactoryBean

  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrStepListenerFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ListenerMetaData` | `getMetaDataFromPropertyName(java.lang.String propertyName)`
    `protected ListenerMetaData[]` | `getMetaDataValues()`

    - ### Methods inherited from class org.springframework.batch.core.listener.StepListenerFactoryBean

      `getDefaultListenerClass, getListener, getObjectType, isListener`

    - ### Methods inherited from class org.springframework.batch.core.listener.AbstractListenerFactoryBean

      `afterPropertiesSet, getMethodInvokerByName, getObject, isListener, isSingleton, setDelegate, setMetaDataMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrStepListenerFactoryBean

          public JsrStepListenerFactoryBean()

  - ### Method Detail

    - #### getMetaDataFromPropertyName

          protected ListenerMetaData getMetaDataFromPropertyName(java.lang.String propertyName)

      Overrides:
        `getMetaDataFromPropertyName` in class `StepListenerFactoryBean`

    - #### getMetaDataValues

          protected ListenerMetaData[] getMetaDataValues()

      Overrides:
        `getMetaDataValues` in class `StepListenerFactoryBean`